package edu.umich.soar.hpp;

/**
 * Specialization of constraints for binary value
 */
public class HPPBinaryConstraint extends HPPConstraint {

	/**
	 * Utility constructor using an existing variable
	 * 
	 * @param variable used to extract name
	 * @param value constraint value
	 */
	public HPPBinaryConstraint(HPPVariable variable, boolean value) {
		this(variable.getName(), value);
	}
	
	/**
	 * Basic constructor - exploits Java's built-in "true" and "false"
	 * 
	 * @param name constraint name
	 * @param value constraint value
	 */
	public HPPBinaryConstraint(String name, boolean value) {
		super(name, new Boolean(value).toString());
	}

}
